Re: Aluminium Netvirt CSIT Patch Jobs are Not Running - Reg


Srinivas <srinivas.rachakonda@...>
 

Hi Jamo,

 

This is seen in all versions of Openstack.

I am trying some more debugging and will let you know on the progress.

 

Please note this is blocking netvirt jobs.

 

Thanks,

Srinivas

+91-9243478719

 

From: Jamo Luhrsen <jluhrsen@...>
Sent: 31 July 2020 05:42
To: srinivas.rachakonda@...; 'Karthikeyan' <karthikeyangceb007@...>; integration-dev@...; 'Anil Belur' <abelur@...>
Cc: 'netvirt-dev' <netvirt-dev@...>; ravikanth.ps@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'R Srinivasan E' <r.e.srinivasan@...>
Subject: Re: [integration-dev] Aluminium Netvirt CSIT Patch Jobs are Not Running - Reg

 

I'm not sure what's happening here. Is this now a consistent failure? If so, I imagine it's
biting us in all netvirt jobs, or at least all from a certain openstack branch.

I wonder if there is some trouble because we already have some openstack bits installed
on the VMs and the job is trying to install more and version conflicts are coming now after
some version bumps somewhere. Maybe try to uninstall everything that you know will
be installed later in the netvirt setup scripts, as a first step to sort of give it a clean slate.

Let us know how it goes.

Thanks,
JamO

On 7/30/20 8:23 AM, srinivas.rachakonda@... wrote:

Hi Jamo/Karthikeyan/Anil Belur,

 

I tried to fix the python pip packages.

But now hitting various issue other pip issues if I change the packages.

 

Blow are some of the jobs that I tried.

https://jenkins.opendaylight.org/sandbox/job/srini-netvirt-csit-1node-0cmb-1ctl-2cmp-openstack-rocky-gate-stateful-aluminium/

 

 

Can someone help me and let know on how to fix this

 

Thanks,

Srinivas

+91-9243478719

 

From: integration-dev@... <integration-dev@...> On Behalf Of Srinivas via lists.opendaylight.org
Sent: 30 July 2020 12:43
To: 'Karthikeyan' <karthikeyangceb007@...>; integration-dev@...
Cc: 'netvirt-dev' <netvirt-dev@...>; 'Jamo Luhrsen' <jluhrsen@...>; ravikanth.ps@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'R Srinivasan E' <r.e.srinivasan@...>
Subject: Re: [integration-dev] Aluminium Netvirt CSIT Patch Jobs are Not Running - Reg

 

Hi Karthikeyan,

 

I am seeing too many python pip issues.

 

https://jenkins.opendaylight.org/releng/job/netvirt-csit-1node-0cmb-1ctl-2cmp-openstack-rocky-gate-stateful-aluminium/

 

I am still working on the fixes.

I will keep you updated on the progress.

 

 

Thanks,

Srinivas

+91-9243478719

 

From: srinivas.rachakonda@... <srinivas.rachakonda@...>
Sent: 30 July 2020 09:03
To: 'Karthikeyan' <karthikeyangceb007@...>; 'integration-dev@...' <integration-dev@...>
Cc: 'netvirt-dev' <netvirt-dev@...>; 'Jamo Luhrsen' <jluhrsen@...>; 'ravikanth.ps@...' <ravikanth.ps@...>
Subject: RE: Aluminium Netvirt CSIT Patch Jobs are Not Running - Reg

 

Hi Karthikeyan,

 

Looks like python pip dependency issues.

Even sandbox jobs are failing.

 

I am looking into it.

 

Thanks,

Srinivas

+91-9243478719

 

From: Karthikeyan <karthikeyangceb007@...>
Sent: 30 July 2020 08:46
To: integration-dev@...
Cc: netvirt-dev <netvirt-dev@...>; srinivas.rachakonda@...; Jamo Luhrsen <jluhrsen@...>
Subject: Aluminium Netvirt CSIT Patch Jobs are Not Running - Reg

 

Hi Integration Experts,

 

    Netvirt CSIT patch jobs have not been running due to the ERROR[0] since yesterday. Request your help on resolving this issue. 

   

   Thanks in Advance!!.

 

Netvirt Gerrits: 

 

CSIT Failed Log References

 

 

[0]

22:40:01 Requirement already satisfied: python-neutronclient===6.9.1 in /tmp/v/robot/lib/python3.6/site-packages (from -c /tmp/constraints.txt (line 344)) (6.9.1)
22:40:01 ERROR: Exception:
22:40:01 Traceback (most recent call last):
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_internal/req/req_install.py", line 444, in check_if_exists
22:40:01     self.satisfied_by = pkg_resources.get_distribution(str(no_marker))
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 481, in get_distribution
22:40:01     dist = get_provider(dist)
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 357, in get_provider
22:40:01     return working_set.find(moduleOrReq) or require(str(moduleOrReq))[0]
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 643, in find
22:40:01     raise VersionConflict(dist, req)
22:40:01 pip._vendor.pkg_resources.VersionConflict: (osc-lib 2.2.0 (/home/jenkins/.local/lib/python3.6/site-packages), Requirement.parse('osc-lib===1.11.1'))
22:40:01 
22:40:01 During handling of the above exception, another exception occurred:
22:40:01 
22:40:01 Traceback (most recent call last):
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_internal/cli/base_command.py", line 216, in _main
22:40:01     status = self.run(options, args)
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_internal/cli/req_command.py", line 182, in wrapper
22:40:01     return func(self, options, args)
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_internal/commands/install.py", line 325, in run
22:40:01     reqs, check_supported_wheels=not options.target_dir
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_internal/resolution/legacy/resolver.py", line 183, in resolve
22:40:01     discovered_reqs.extend(self._resolve_one(requirement_set, req))
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_internal/resolution/legacy/resolver.py", line 388, in _resolve_one
22:40:01     abstract_dist = self._get_abstract_dist_for(req_to_install)
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_internal/resolution/legacy/resolver.py", line 331, in _get_abstract_dist_for
22:40:01     skip_reason = self._check_skip_installed(req)
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_internal/resolution/legacy/resolver.py", line 236, in _check_skip_installed
22:40:01     req_to_install.check_if_exists(self.use_user_site)
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_internal/req/req_install.py", line 449, in check_if_exists
22:40:01     self.req.name
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_internal/utils/misc.py", line 514, in get_distribution
22:40:01     pkg_resources.working_set.require(req_name)
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 900, in require
22:40:01     needed = self.resolve(parse_requirements(requirements))
22:40:01   File "/tmp/v/robot/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 791, in resolve
22:40:01     raise VersionConflict(dist, req).with_context(dependent_req)
22:40:01 pip._vendor.pkg_resources.ContextualVersionConflict: (keystoneauth1 3.10.1 (/tmp/v/robot/lib/python3.6/site-packages), Requirement.parse('keystoneauth1>=3.14.0'), {'osc-lib'})
22:40:01 Build step 'Execute shell' marked build as failure
 
 
 
 
Thanks & Regards,
Karthikeyan.

Join integration-dev@lists.opendaylight.org to automatically receive all group messages.